/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Station generated by hbm2java
 */
@Entity
@Table(name="STATION"
    ,schema="SEDDB"
    , uniqueConstraints = @UniqueConstraint(columnNames={"GEWAESSERID", "NAME"})
)
public class Station  implements java.io.Serializable {


     private long stationid;
     private Bezugspegel bezugspegel;
     private Gewaesser gewaesser;
     private BigDecimal km;
     private String name;
     private boolean uferistlinks;
     private BigDecimal teilVon;
     private BigDecimal teilBis;
     private BigDecimal abstHmst;
     private BigDecimal LHochwert;
     private BigDecimal LRechwert;
     private BigDecimal LNn;
     private BigDecimal RHochwert;
     private BigDecimal RRechwert;
     private BigDecimal RNn;
     private String bemerkung;
     private Long oldmstid;
     private boolean istfeststoff;
     private Set<Sohltest> sohltests = new HashSet<Sohltest>(0);
     private Set<Hpeilung> hpeilungs = new HashSet<Hpeilung>(0);
     private Set<Mpeilung> mpeilungs = new HashSet<Mpeilung>(0);
     private Set<Messung> messungs = new HashSet<Messung>(0);

    public Station() {
    }

    public Station(long stationid, Gewaesser gewaesser, BigDecimal km, String name, boolean uferistlinks, boolean istfeststoff) {
        this.stationid = stationid;
        this.gewaesser = gewaesser;
        this.km = km;
        this.name = name;
        this.uferistlinks = uferistlinks;
        this.istfeststoff = istfeststoff;
    }
    public Station(long stationid, Bezugspegel bezugspegel, Gewaesser gewaesser, BigDecimal km, String name, boolean uferistlinks, BigDecimal teilVon, BigDecimal teilBis, BigDecimal abstHmst, BigDecimal LHochwert, BigDecimal LRechwert, BigDecimal LNn, BigDecimal RHochwert, BigDecimal RRechwert, BigDecimal RNn, String bemerkung, Long oldmstid, boolean istfeststoff, Set<Sohltest> sohltests, Set<Hpeilung> hpeilungs, Set<Mpeilung> mpeilungs, Set<Messung> messungs) {
       this.stationid = stationid;
       this.bezugspegel = bezugspegel;
       this.gewaesser = gewaesser;
       this.km = km;
       this.name = name;
       this.uferistlinks = uferistlinks;
       this.teilVon = teilVon;
       this.teilBis = teilBis;
       this.abstHmst = abstHmst;
       this.LHochwert = LHochwert;
       this.LRechwert = LRechwert;
       this.LNn = LNn;
       this.RHochwert = RHochwert;
       this.RRechwert = RRechwert;
       this.RNn = RNn;
       this.bemerkung = bemerkung;
       this.oldmstid = oldmstid;
       this.istfeststoff = istfeststoff;
       this.sohltests = sohltests;
       this.hpeilungs = hpeilungs;
       this.mpeilungs = mpeilungs;
       this.messungs = messungs;
    }

     @Id


    @Column(name="STATIONID", unique=true, nullable=false, precision=11, scale=0)
    public long getStationid() {
        return this.stationid;
    }

    public void setStationid(long stationid) {
        this.stationid = stationid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="BEZUGSPEGELID")
    public Bezugspegel getBezugspegel() {
        return this.bezugspegel;
    }

    public void setBezugspegel(Bezugspegel bezugspegel) {
        this.bezugspegel = bezugspegel;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="GEWAESSERID", nullable=false)
    public Gewaesser getGewaesser() {
        return this.gewaesser;
    }

    public void setGewaesser(Gewaesser gewaesser) {
        this.gewaesser = gewaesser;
    }


    @Column(name="KM", nullable=false, precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name="NAME", nullable=false, length=50)
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }


    @Column(name="UFERISTLINKS", nullable=false, precision=1, scale=0)
    public boolean isUferistlinks() {
        return this.uferistlinks;
    }

    public void setUferistlinks(boolean uferistlinks) {
        this.uferistlinks = uferistlinks;
    }


    @Column(name="TEIL_VON", precision=8, scale=3)
    public BigDecimal getTeilVon() {
        return this.teilVon;
    }

    public void setTeilVon(BigDecimal teilVon) {
        this.teilVon = teilVon;
    }


    @Column(name="TEIL_BIS", precision=8, scale=3)
    public BigDecimal getTeilBis() {
        return this.teilBis;
    }

    public void setTeilBis(BigDecimal teilBis) {
        this.teilBis = teilBis;
    }


    @Column(name="ABST_HMST", precision=8, scale=3)
    public BigDecimal getAbstHmst() {
        return this.abstHmst;
    }

    public void setAbstHmst(BigDecimal abstHmst) {
        this.abstHmst = abstHmst;
    }


    @Column(name="L_HOCHWERT", precision=11, scale=3)
    public BigDecimal getLHochwert() {
        return this.LHochwert;
    }

    public void setLHochwert(BigDecimal LHochwert) {
        this.LHochwert = LHochwert;
    }


    @Column(name="L_RECHWERT", precision=11, scale=3)
    public BigDecimal getLRechwert() {
        return this.LRechwert;
    }

    public void setLRechwert(BigDecimal LRechwert) {
        this.LRechwert = LRechwert;
    }


    @Column(name="L_NN", precision=8, scale=3)
    public BigDecimal getLNn() {
        return this.LNn;
    }

    public void setLNn(BigDecimal LNn) {
        this.LNn = LNn;
    }


    @Column(name="R_HOCHWERT", precision=11, scale=3)
    public BigDecimal getRHochwert() {
        return this.RHochwert;
    }

    public void setRHochwert(BigDecimal RHochwert) {
        this.RHochwert = RHochwert;
    }


    @Column(name="R_RECHWERT", precision=11, scale=3)
    public BigDecimal getRRechwert() {
        return this.RRechwert;
    }

    public void setRRechwert(BigDecimal RRechwert) {
        this.RRechwert = RRechwert;
    }


    @Column(name="R_NN", precision=8, scale=3)
    public BigDecimal getRNn() {
        return this.RNn;
    }

    public void setRNn(BigDecimal RNn) {
        this.RNn = RNn;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }


    @Column(name="OLDMSTID", precision=11, scale=0)
    public Long getOldmstid() {
        return this.oldmstid;
    }

    public void setOldmstid(Long oldmstid) {
        this.oldmstid = oldmstid;
    }


    @Column(name="ISTFESTSTOFF", nullable=false, precision=1, scale=0)
    public boolean isIstfeststoff() {
        return this.istfeststoff;
    }

    public void setIstfeststoff(boolean istfeststoff) {
        this.istfeststoff = istfeststoff;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="station")
    public Set<Sohltest> getSohltests() {
        return this.sohltests;
    }

    public void setSohltests(Set<Sohltest> sohltests) {
        this.sohltests = sohltests;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="station")
    public Set<Hpeilung> getHpeilungs() {
        return this.hpeilungs;
    }

    public void setHpeilungs(Set<Hpeilung> hpeilungs) {
        this.hpeilungs = hpeilungs;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="station")
    public Set<Mpeilung> getMpeilungs() {
        return this.mpeilungs;
    }

    public void setMpeilungs(Set<Mpeilung> mpeilungs) {
        this.mpeilungs = mpeilungs;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="station")
    public Set<Messung> getMessungs() {
        return this.messungs;
    }

    public void setMessungs(Set<Messung> messungs) {
        this.messungs = messungs;
    }
}
